Skip to main content
POST

Authorizations

authorization
string
header
required

Use your Stability API key to authentication requests to this App.

Headers

authorization
string
required

Your Stability API key, used to authenticate your requests. Although you may have multiple keys in your account, you should use the same key for all requests to this API.

Minimum string length: 1
content-type
string
required

The content type of the request body. Do not manually specify this header; your HTTP client library will automatically include the appropriate boundary parameter.

Minimum string length: 1
Example:

"multipart/form-data"

accept
enum<string>
default:image/*

Specify image/* to receive the bytes of the image directly. Otherwise specify application/json to receive the image as base64 encoded JSON.

Available options:
image/*,
application/json
stability-client-id
string

The name of your application, used to help us communicate app-specific debugging or moderation issues to you.

Maximum string length: 256
Example:

"my-awesome-app"

stability-client-user-id
string

A unique identifier for your end user. Used to help us communicate user-specific debugging or moderation issues to you. Feel free to obfuscate this value to protect user privacy.

Maximum string length: 256
Example:

"DiscordUser#9999"

stability-client-version
string

The version of your application, used to help us communicate version-specific debugging or moderation issues to you.

Maximum string length: 256
Example:

"1.2.1"

Body

multipart/form-data
image
file
required

The image you wish to inpaint.

Supported Formats:

  • jpeg
  • png
  • webp

Validation Rules:

  • Every side must be at least 64 pixels
  • Total pixel count must be between 4,096 and 9,437,184 pixels
prompt
string
required

What you wish to see in the output image. A strong, descriptive prompt that clearly defines elements, colors, and subjects will lead to better results.

To control the weight of a given word use the format (word:weight), where word is the word you'd like to control the weight of and weight is a value between 0 and 1. For example: The sky was a crisp (blue:0.3) and (green:0.8) would convey a sky that was blue and green, but more green than blue.

Required string length: 1 - 10000
negative_prompt
string

A blurb of text describing what you do not wish to see in the output image. This is an advanced feature.

Maximum string length: 10000
mask
file

Controls the strength of the inpainting process on a per-pixel basis, either via a second image (passed into this parameter) or via the alpha channel of the image parameter.

Passing in a Mask

The image passed to this parameter should be a black and white image that represents, at any pixel, the strength of inpainting based on how dark or light the given pixel is. Completely black pixels represent no inpainting strength while completely white pixels represent maximum strength.

In the event the mask is a different size than the image parameter, it will be automatically resized.

Alpha Channel Support

If you don't provide an explicit mask, one will be derived from the alpha channel of the image parameter. Transparent pixels will be inpainted while opaque pixels will be preserved.

In the event an image with an alpha channel is provided along with a mask, the mask will take precedence.

grow_mask
number
default:5

Grows the edges of the mask outward in all directions by the specified number of pixels. The expanded area around the mask will be blurred, which can help smooth the transition between inpainted content and the original image.

Try this parameter if you notice seams or rough edges around the inpainted content.

Note: Excessive growth may obscure fine details in the mask and/or merge nearby masked regions.

Required range: 0 <= x <= 100
seed
number
default:0

A specific value that is used to guide the 'randomness' of the generation. (Omit this parameter or pass 0 to use a random seed.)

Required range: 0 <= x <= 4294967294
output_format
enum<string>
default:png

Dictates the content-type of the generated image.

Available options:
jpeg,
png,
webp
style_preset
enum<string>

Guides the image model towards a particular style.

Available options:
enhance,
anime,
photographic,
digital-art,
comic-book,
fantasy-art,
line-art,
analog-film,
neon-punk,
isometric,
low-poly,
origami,
modeling-compound,
cinematic,
3d-model,
pixel-art,
tile-texture

Response

Inpainting was successful.

The bytes of the generated image.

The finish-reason and seed will be present as headers.